X509EncodedKeySpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.spec
Class X509EncodedKeySpec

    java.lang.Object
      java.security.spec.EncodedKeySpec
          java.security.spec.X509EncodedKeySpec

All Implemented Interfaces:
  KeySpec

    public class X509EncodedKeySpec

extends EncodedKeySpec

This class represents the ASN.1 encoding of a public key, encoded according to the ASN.1 type `SubjectPublicKeyInfo`. The `SubjectPublicKeyInfo` syntax is defined in the X.509 standard as follows:

     SubjectPublicKeyInfo ::= SEQUENCE {
       algorithm AlgorithmIdentifier,
       subjectPublicKey BIT STRING }

Since:
  1.2
Version:
  1.14, 02/02/00
Author:
  Jan Luehe
See Also:
  `Key`, `KeyFactory`, `KeySpec`, `EncodedKeySpec`, `PKCS8EncodedKeySpec`

Constructor Summary
`X509EncodedKeySpec(byte[] encodedKey)` Creates a new X509EncodedKeySpec with the given encoded key.

Method Summary
`byte[]` | `getEncoded()` Returns the key bytes, encoded according to the X.509 standard.
`String` | `getFormat()` Returns the name of the encoding format associated with this key specification.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509EncodedKeySpec

    public X509EncodedKeySpec(byte[] encodedKey)

  Creates a new X509EncodedKeySpec with the given encoded key.

  Parameters:
    `encodedKey` - the key, which is assumed to be encoded according to the X.509 standard.

Method Detail

### getEncoded

    public byte[] getEncoded()

  Returns the key bytes, encoded according to the X.509 standard.

  Overrides:
    `getEncoded` in class `EncodedKeySpec`
  Returns:
    the X.509 encoding of the key.

### getFormat

    public final String getFormat()

  Returns the name of the encoding format associated with this key specification.

  Specified by:
    `getFormat` in class `EncodedKeySpec`
  Returns:
    the string `"X.509"`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD